package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.annotation.DataFilter;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysRoleEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 角色表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
public interface SysRoleService extends IService<SysRoleEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<SysRoleEntity> queryList(Map<String, Object> params);

    void saveRole(SysRoleEntity role, List<Long> funcIdList, List<Long> deptIdList);

    @Transactional(rollbackFor = Exception.class)
    void update(SysRoleEntity role, List<Long> funcIdList, List<Long> deptIdList);

    void deleteBatch(Long[] roleIds);
}

